Subject: Re: [PATCH v3 09/15] net: dsa: Add support for switch EEPROM access

From: Guenter Roeck <[email-masked]>
Date: Thu, 30 Oct 2014 19:53:17 -0700

On 10/30/2014 07:40 PM, Andrew Lunn wrote:
>> As suspected, ethtool will attempt to read a zero-length eeprom.
>>
>> The following patch should solve the problem. Not sure if it is worth it,
>> though, since this will change behavior for existing drivers.
>
> Yes, it changes behaviour, but it does make it more consistent.
>
> Probably it should be up to core network people to decide if this is
> the write fix or leave it as is.
>

s/write/right/.

The patch shows up in the netdev patchwork. David marked it as RFC,
so we'll see where it goes.

Thanks,
Guenter